Skip to main content
GET
/
api
/
v1
/
slack
/
oauth
/
status
Get Slack installation status
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/slack/oauth/status \
  --header 'Authorization: Bearer <token>'
{
  "enterprise_id": "<string>",
  "enterprise_name": "<string>",
  "installation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_enterprise_install": true,
  "team_id": "<string>",
  "team_name": "<string>"
}

Authorizations

Authorization
string
header
required

JWT authentication token

Response

Slack installation status

status
enum<string>
required

Current Slack installation status

Available options:
not_connected,
active,
pending_unclaimed,
revoked_external,
disconnected_by_user
enterprise_id
string

Slack enterprise (org) ID, present only for org-wide installs

enterprise_name
string

Slack enterprise (org) name, present only for org-wide installs

installation_id
string<uuid>

Installation ID (only present if connected)

is_enterprise_install
boolean

True when installed org-wide on a Slack Enterprise Grid org

team_id
string

Slack workspace ID (only present if connected)

team_name
string

Slack workspace name (only present if connected)